
# DESIGN AND OPERATION OF TRAFFIC AND TELECOMMUNICATION NETWORKS
# Ralf Borndoerfer, FAbio d'Andreagiovanni, Jonad Pulaj
# FU Berlin, WS 2015
#
# Lagrangean Relaxation of Constrained Shortest Path Problem.
#
# Run as 'zimpl lcsp.zpl'.

# sets 
set E := { read "edges.dat" as "<1s,2s>" comment "#" };	# directed!
set V := proj(E,<1>) union proj(E,<2>);

# parameters
param c[E]  := read "costs.dat" as "<1s,2s> 3n" comment "#";
param tt[E] := read "times.dat" as "<1s,2s> 3n" comment "#";

param s := "Apd";
param t := "Rtd";

# paths
set P[] := <1> { <"Apd","Ut">, <"Ut","Bd">, <"Bd","Rtd"> }
        ;
set K   := indexset(P);

param time[<k> in K] := sum <u,v> in P[k]: tt[u,v];
param cost[<k> in K] := sum <u,v> in P[k]: c[u,v];
param cslk[<k> in K] := 15000 - cost[k];

# variables

# objective

# constraints

# affine functions



